Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class InstallAbortedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.update.core.model.InstallAbortedException

All Implemented Interfaces:
  Serializable

public class InstallAbortedException
extends CoreException

Exception thrown when the user cancelled an installation.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`InstallAbortedException(String msg, Exception e)` Construct the exception indicating enclosing CoreException

Methods inherited from class org.eclipse.core.runtime.CoreException
`getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallAbortedException

    public InstallAbortedException(String msg,
                                   Exception e)

  Construct the exception indicating enclosing CoreException

Since:
  2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.